Page MenuHomePhabricator

RC page - default selection of '50 changes in 7 days' is sticky
Closed, ResolvedPublic

Description

  1. In betalabs go to RC page with the default filters; the default is set for the number of change 50 changes in last 7 days
  2. Try to select a different number of days - it is not possible: clicking on 14 or 30 will not produce any changes and won't make the selection of 14 or 30 displayed selected.


The screen recording shows that clicking on the different days has no effect.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2017, 1:38 AM
Etonkovidova updated the task description. (Show Details)Jul 24 2017, 4:54 PM

Change 367715 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Read base value of limit/days from preference

https://gerrit.wikimedia.org/r/367715

Change 367716 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] [wip] RCFilters: Make days/limit a sticky preference

https://gerrit.wikimedia.org/r/367716

Checked the fix in betalabs.

Change 367715 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Read base value of limit/days from preference

https://gerrit.wikimedia.org/r/367715

Change 368309 had a related patch set uploaded (by Catrope; owner: Mooeypoo):
[mediawiki/core@wmf/1.30.0-wmf.11] RCFilters: Read base value of limit/days from preference

https://gerrit.wikimedia.org/r/368309

Change 368309 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.11] RCFilters: Read base value of limit/days from preference

https://gerrit.wikimedia.org/r/368309

Mentioned in SAL (#wikimedia-operations) [2017-07-27T23:48:39Z] <catrope@tin> Synchronized php-1.30.0-wmf.11/resources/src/mediawiki.rcfilters/: T171368 (duration: 00m 42s)

Change 367716 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Create a sticky preference for days/limit groups

https://gerrit.wikimedia.org/r/367716